<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="UTF-8"/>
	<xsl:template match="/">
		<html>
				<head>
					<link rel="stylesheet" type="text/css" href="..\Documenter.css"/>
					<script language="javascript" src="..\documenter.js" />
				</head>
				<body onLoad="showHeader()">
					<xsl:if test="count(//GuideDoc/Modules/Module) > 0">
						<a name="Modules" />
						<h1>Modules</h1>
						<table style="cell-padding:0px;cell-spacing:0px;" CLASS="HeaderTitle">
							<xsl:for-each select="//GuideDoc/Modules/Module">
								<xsl:call-template name="create_ModuleIndex" />
							</xsl:for-each>
						</table>
					</xsl:if>
					<xsl:if test="count(//GuideDoc/Groups/Group) > 0">
						<a name="Groups" />
						<h1>Groups</h1>
						<table style="cell-padding:0px;cell-spacing:0px;" CLASS="HeaderTitle">
							<xsl:for-each select="//GuideDoc/Groups/Group">
								<xsl:sort select="Name"/>
								<xsl:call-template name="create_GroupIndex" />
							</xsl:for-each>
						</table>
					</xsl:if>
			</body>
		</html>
	</xsl:template>

	<xsl:template name="create_ModuleIndex" >
		<tr>
			<td align="left" CLASS="InputSSDLabel">
				<a><xsl:attribute name="href">m<xsl:value-of select="Sequence"/>.xml</xsl:attribute>
					<xsl:value-of select="Name" disable-output-escaping="yes"/>
				</a>
			</td>
		</tr>
	</xsl:template>

	<xsl:template name="create_GroupIndex" >
		<tr>
			<td align="left" CLASS="InputSSDLabel">
				<a><xsl:attribute name="href">g<xsl:value-of select="Sequence"/>.xml</xsl:attribute>
					<xsl:value-of select="Name" disable-output-escaping="yes"/>
				</a>
			</td>
		</tr>
	</xsl:template>
</xsl:stylesheet>

